<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: StdDriver/inc/gpio.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">gpio.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Mini51 series GPIO driver header file.  
<a href="#details">More...</a></p>
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../d9/dea/gpio_8h__dep__incl.png" border="0" usemap="#a_std_driver_2inc_2gpio_8hdep" alt=""/></div>
<map name="a_std_driver_2inc_2gpio_8hdep" id="a_std_driver_2inc_2gpio_8hdep">
<area shape="rect" title="Mini51 series GPIO driver header file." alt="" coords="1525,5,1660,32"/>
<area shape="rect" href="../../de/d94/_mini51_series_8h.html" title="Mini51 series peripheral access layer header file. This file contains all the peripheral register&#39;s d..." alt="" coords="1498,80,1687,121"/>
<area shape="rect" href="../../dc/d23/system___mini51_series_8c.html" title="Mini51 series system clock init code and assert handler." alt="" coords="5,169,212,211"/>
<area shape="rect" href="../../d9/d99/i2c__software__gpio_8h.html" title="This is the header file of i2c_software_gpio.c." alt="" coords="236,169,379,211"/>
<area shape="rect" href="../../dc/da3/i2c__software__gpio__with__timer_8h.html" title="This is the header file of i2c_software_gpio_with_timer.c." alt="" coords="403,169,588,211"/>
<area shape="rect" href="../../d7/d23/eeprom__24lc64_8c.html" title="MINI51 series 24LC64 EEPROM library header file." alt="" coords="612,169,781,211"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html" title="MINI51 series LCD Module library source file." alt="" coords="805,169,948,211"/>
<area shape="rect" href="../../d3/df1/acmp_8c.html" title="MINI51 series Analog Comparator(ACMP) driver source file." alt="" coords="972,177,1115,203"/>
<area shape="rect" href="../../de/d01/adc_8c.html" title="MINI51 series ADC driver source file." alt="" coords="1139,177,1271,203"/>
<area shape="rect" href="../../de/da0/clk_8c.html" title="MINI51 series CLK driver source file." alt="" coords="1295,177,1423,203"/>
<area shape="rect" href="../../d0/dbc/fmc_8c.html" title="MINI51 series FMC driver source file." alt="" coords="1448,177,1580,203"/>
<area shape="rect" href="../../d8/da0/gpio_8c.html" title="MINI51 series GPIO driver source file." alt="" coords="1604,177,1739,203"/>
<area shape="rect" href="../../d9/dcb/i2c_8c.html" title="MINI51 series I2C driver source file." alt="" coords="1763,177,1891,203"/>
<area shape="rect" href="../../de/d5c/pwm_8c.html" title="MINI51 series PWM driver source file." alt="" coords="1915,177,2054,203"/>
<area shape="rect" href="../../d3/d3d/retarget_8c.html" title="Mini51 series retarget source file." alt="" coords="2078,177,2233,203"/>
<area shape="rect" href="../../da/d00/spi_8c.html" title="MINI51 series SPI driver source file." alt="" coords="2257,177,2385,203"/>
<area shape="rect" href="../../d8/d91/sys_8c.html" title="MINI51 series SYS driver source file." alt="" coords="2409,177,2541,203"/>
<area shape="rect" href="../../df/d41/timer_8c.html" title="MINI51 series TIMER driver source file." alt="" coords="2565,177,2705,203"/>
<area shape="rect" href="../../d1/d87/uart_8c.html" title="MINI51 series UART driver source file." alt="" coords="2730,177,2863,203"/>
<area shape="rect" href="../../db/d1a/wdt_8c.html" title="MINI51 series WDT driver source file." alt="" coords="2887,177,3018,203"/>
<area shape="rect" href="../../da/d64/i2c__software__gpio_8c.html" title="MINI51 series software I2C driver source file." alt="" coords="236,259,379,300"/>
<area shape="rect" href="../../d2/dcc/i2c__software__gpio__with__timer_8c.html" title="MINI51 series software I2C driver source file." alt="" coords="403,259,588,300"/>
</map>
</div>
</div>
<p><a href="../../d6/d7c/gpio_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gad5df1f52a4cc540fc739f23056584a04"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad5df1f52a4cc540fc739f23056584a04">GPIO_PIN_MAX</a>&#160;&#160;&#160;8</td></tr>
<tr class="separator:gad5df1f52a4cc540fc739f23056584a04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d91458a02db1f2b71122aee8b4da690"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1d91458a02db1f2b71122aee8b4da690">GPIO_PMD_INPUT</a>&#160;&#160;&#160;0x0UL</td></tr>
<tr class="separator:ga1d91458a02db1f2b71122aee8b4da690"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga903d206776eed930eb08a97bfde30f21"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga903d206776eed930eb08a97bfde30f21">GPIO_PMD_OUTPUT</a>&#160;&#160;&#160;0x1UL</td></tr>
<tr class="separator:ga903d206776eed930eb08a97bfde30f21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga17b71982106eb55ac53e679545791475"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga17b71982106eb55ac53e679545791475">GPIO_PMD_OPEN_DRAIN</a>&#160;&#160;&#160;0x2UL</td></tr>
<tr class="separator:ga17b71982106eb55ac53e679545791475"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae7688be7b3cd5490426e438a2ec9f821"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae7688be7b3cd5490426e438a2ec9f821">GPIO_PMD_QUASI</a>&#160;&#160;&#160;0x3UL</td></tr>
<tr class="separator:gae7688be7b3cd5490426e438a2ec9f821"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad5791d8505fbdc44f396d3fc28b6e4da"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad5791d8505fbdc44f396d3fc28b6e4da">GPIO_INT_RISING</a>&#160;&#160;&#160;0x00010000UL</td></tr>
<tr class="separator:gad5791d8505fbdc44f396d3fc28b6e4da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8d98bc44ec5133557802867a115d7072"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8d98bc44ec5133557802867a115d7072">GPIO_INT_FALLING</a>&#160;&#160;&#160;0x00000001UL</td></tr>
<tr class="separator:ga8d98bc44ec5133557802867a115d7072"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae5ffe006072684a30050871e0f4fb5e6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae5ffe006072684a30050871e0f4fb5e6">GPIO_INT_BOTH_EDGE</a>&#160;&#160;&#160;0x00010001UL</td></tr>
<tr class="separator:gae5ffe006072684a30050871e0f4fb5e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad80cfa2205ca60d3427bed52f9f43975"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad80cfa2205ca60d3427bed52f9f43975">GPIO_INT_HIGH</a>&#160;&#160;&#160;0x01010000UL</td></tr>
<tr class="separator:gad80cfa2205ca60d3427bed52f9f43975"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3c01afe7764ed035acb9aab07add5f5a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3c01afe7764ed035acb9aab07add5f5a">GPIO_INT_LOW</a>&#160;&#160;&#160;0x01000001UL</td></tr>
<tr class="separator:ga3c01afe7764ed035acb9aab07add5f5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga99978dda3737152046e4418647d2e9e1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga99978dda3737152046e4418647d2e9e1">GPIO_IMD_EDGE</a>&#160;&#160;&#160;0UL</td></tr>
<tr class="separator:ga99978dda3737152046e4418647d2e9e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3c70f883f26690cbf440d438a5d39085"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3c70f883f26690cbf440d438a5d39085">GPIO_IMD_LEVEL</a>&#160;&#160;&#160;1UL</td></tr>
<tr class="separator:ga3c70f883f26690cbf440d438a5d39085"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaacb8fb55f93de84805f3beacc368468e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaacb8fb55f93de84805f3beacc368468e">GPIO_DBNCECON_ICLK_ON</a>&#160;&#160;&#160;0x00000020UL</td></tr>
<tr class="separator:gaacb8fb55f93de84805f3beacc368468e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa06b6a64442f2f359d578b6bf3887a85"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa06b6a64442f2f359d578b6bf3887a85">GPIO_DBNCECON_ICLK_OFF</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:gaa06b6a64442f2f359d578b6bf3887a85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0b6ce6106fb3a90a8861d9ef37f89eb9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0b6ce6106fb3a90a8861d9ef37f89eb9">GPIO_DBNCECON_DBCLKSRC_IRC10K</a>&#160;&#160;&#160;0x00000010UL</td></tr>
<tr class="separator:ga0b6ce6106fb3a90a8861d9ef37f89eb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad62093f5bb1ef9c40c136ebda750717e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad62093f5bb1ef9c40c136ebda750717e">GPIO_DBNCECON_DBCLKSRC_HCLK</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:gad62093f5bb1ef9c40c136ebda750717e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa0e5dfecf2ac12c43ed101d9fac4dfcc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa0e5dfecf2ac12c43ed101d9fac4dfcc">GPIO_DBNCECON_DBCLKSEL_1</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:gaa0e5dfecf2ac12c43ed101d9fac4dfcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga84f8c7e190b7b55f587cbeacc9382cd6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga84f8c7e190b7b55f587cbeacc9382cd6">GPIO_DBNCECON_DBCLKSEL_2</a>&#160;&#160;&#160;0x00000001UL</td></tr>
<tr class="separator:ga84f8c7e190b7b55f587cbeacc9382cd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga46cd9e45efbf831928e4fb90111210b7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga46cd9e45efbf831928e4fb90111210b7">GPIO_DBNCECON_DBCLKSEL_4</a>&#160;&#160;&#160;0x00000002UL</td></tr>
<tr class="separator:ga46cd9e45efbf831928e4fb90111210b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafe42d0470c8cbaad11b949b6190e8774"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafe42d0470c8cbaad11b949b6190e8774">GPIO_DBNCECON_DBCLKSEL_8</a>&#160;&#160;&#160;0x00000003UL</td></tr>
<tr class="separator:gafe42d0470c8cbaad11b949b6190e8774"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa42da71e3b8f7d0e281b27aec324a40b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa42da71e3b8f7d0e281b27aec324a40b">GPIO_DBNCECON_DBCLKSEL_16</a>&#160;&#160;&#160;0x00000004UL</td></tr>
<tr class="separator:gaa42da71e3b8f7d0e281b27aec324a40b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga689b0f69b8b58183f88943c7fc5959ef"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga689b0f69b8b58183f88943c7fc5959ef">GPIO_DBNCECON_DBCLKSEL_32</a>&#160;&#160;&#160;0x00000005UL</td></tr>
<tr class="separator:ga689b0f69b8b58183f88943c7fc5959ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga608908deba1d8b329c522c5d92e91bc8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga608908deba1d8b329c522c5d92e91bc8">GPIO_DBNCECON_DBCLKSEL_64</a>&#160;&#160;&#160;0x00000006UL</td></tr>
<tr class="separator:ga608908deba1d8b329c522c5d92e91bc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9c0055336a00a95b3be28e88fc9898ed"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9c0055336a00a95b3be28e88fc9898ed">GPIO_DBNCECON_DBCLKSEL_128</a>&#160;&#160;&#160;0x00000007UL</td></tr>
<tr class="separator:ga9c0055336a00a95b3be28e88fc9898ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaedc57835b4d44448b26d871625ec34a4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaedc57835b4d44448b26d871625ec34a4">GPIO_DBNCECON_DBCLKSEL_256</a>&#160;&#160;&#160;0x00000008UL</td></tr>
<tr class="separator:gaedc57835b4d44448b26d871625ec34a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga92f10c6c4481686f7d309269f473c17f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga92f10c6c4481686f7d309269f473c17f">GPIO_DBNCECON_DBCLKSEL_512</a>&#160;&#160;&#160;0x00000009UL</td></tr>
<tr class="separator:ga92f10c6c4481686f7d309269f473c17f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga20dec856b3f1dff8e35e450b3b55bf08"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga20dec856b3f1dff8e35e450b3b55bf08">GPIO_DBNCECON_DBCLKSEL_1024</a>&#160;&#160;&#160;0x0000000AUL</td></tr>
<tr class="separator:ga20dec856b3f1dff8e35e450b3b55bf08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga715e8746a777b6d41d1c8ce02b494732"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga715e8746a777b6d41d1c8ce02b494732">GPIO_DBNCECON_DBCLKSEL_2048</a>&#160;&#160;&#160;0x0000000BUL</td></tr>
<tr class="separator:ga715e8746a777b6d41d1c8ce02b494732"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab704b14c215ba0e67fabfb806edf398d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab704b14c215ba0e67fabfb806edf398d">GPIO_DBNCECON_DBCLKSEL_4096</a>&#160;&#160;&#160;0x0000000CUL</td></tr>
<tr class="separator:gab704b14c215ba0e67fabfb806edf398d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga583e0b61a72e30e2bceba1e25a6e78c9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga583e0b61a72e30e2bceba1e25a6e78c9">GPIO_DBNCECON_DBCLKSEL_8192</a>&#160;&#160;&#160;0x0000000DUL</td></tr>
<tr class="separator:ga583e0b61a72e30e2bceba1e25a6e78c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafdcad880139ce9561182d3ac61a45ab9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafdcad880139ce9561182d3ac61a45ab9">GPIO_DBNCECON_DBCLKSEL_16384</a>&#160;&#160;&#160;0x0000000EUL</td></tr>
<tr class="separator:gafdcad880139ce9561182d3ac61a45ab9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae1145b09285d0c704c9438d13ed679fd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae1145b09285d0c704c9438d13ed679fd">GPIO_DBNCECON_DBCLKSEL_32768</a>&#160;&#160;&#160;0x0000000FUL</td></tr>
<tr class="separator:gae1145b09285d0c704c9438d13ed679fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaba17f4ecdf3b62669dff58d0a574dc8e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(port,  pin)&#160;&#160;&#160;(*((<a class="el" href="../../d5/d32/semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> uint32_t *)((<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gafc66540366e1860d9fb99553a491c3f6">GPIOBIT0_BASE</a>+(0x20*(port))) + ((pin)&lt;&lt;2))))</td></tr>
<tr class="separator:gaba17f4ecdf3b62669dff58d0a574dc8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacea7ad10699d00bfb1215301dd1d6c39"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacea7ad10699d00bfb1215301dd1d6c39">P00</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(0, 0)</td></tr>
<tr class="separator:gacea7ad10699d00bfb1215301dd1d6c39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4bf72b9e10032d0e1ac2a371bcec73d5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4bf72b9e10032d0e1ac2a371bcec73d5">P01</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(0, 1)</td></tr>
<tr class="separator:ga4bf72b9e10032d0e1ac2a371bcec73d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1e90f508a7fea35178f4e797316bea02"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1e90f508a7fea35178f4e797316bea02">P02</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(0, 2)</td></tr>
<tr class="separator:ga1e90f508a7fea35178f4e797316bea02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7118159485221b1a134943d638c11e04"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7118159485221b1a134943d638c11e04">P03</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(0, 3)</td></tr>
<tr class="separator:ga7118159485221b1a134943d638c11e04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga374bc133bba69e9bdcc783aa8b46b9c4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga374bc133bba69e9bdcc783aa8b46b9c4">P04</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(0, 4)</td></tr>
<tr class="separator:ga374bc133bba69e9bdcc783aa8b46b9c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9fe14e5527a2bb2b4602b19654f4f857"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9fe14e5527a2bb2b4602b19654f4f857">P05</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(0, 5)</td></tr>
<tr class="separator:ga9fe14e5527a2bb2b4602b19654f4f857"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaead0758c1c3e5c7f3b0abaca0e331dbf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaead0758c1c3e5c7f3b0abaca0e331dbf">P06</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(0, 6)</td></tr>
<tr class="separator:gaead0758c1c3e5c7f3b0abaca0e331dbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gada3e30a248e432ac11f0eb356e531398"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gada3e30a248e432ac11f0eb356e531398">P07</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(0, 7)</td></tr>
<tr class="separator:gada3e30a248e432ac11f0eb356e531398"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5bb9f89248afa8d7e5a821fd459b085f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5bb9f89248afa8d7e5a821fd459b085f">P10</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(1, 0)</td></tr>
<tr class="separator:ga5bb9f89248afa8d7e5a821fd459b085f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaca6db006bc37d2b337fca225a79856c8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaca6db006bc37d2b337fca225a79856c8">P11</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(1, 1)</td></tr>
<tr class="separator:gaca6db006bc37d2b337fca225a79856c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga20c70bba8105b63590b5a49d99f563b5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga20c70bba8105b63590b5a49d99f563b5">P12</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(1, 2)</td></tr>
<tr class="separator:ga20c70bba8105b63590b5a49d99f563b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa729f895b03c9230ebcf8c798f7bd1bb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa729f895b03c9230ebcf8c798f7bd1bb">P13</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(1, 3)</td></tr>
<tr class="separator:gaa729f895b03c9230ebcf8c798f7bd1bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf108487a116bc015d7abd21ee2ab374e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf108487a116bc015d7abd21ee2ab374e">P14</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(1, 4)</td></tr>
<tr class="separator:gaf108487a116bc015d7abd21ee2ab374e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3059522b4d1048ecf60259f3805147d6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3059522b4d1048ecf60259f3805147d6">P15</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(1, 5)</td></tr>
<tr class="separator:ga3059522b4d1048ecf60259f3805147d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0f8aefca2c1a1d922ca9ecac68caa584"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0f8aefca2c1a1d922ca9ecac68caa584">P16</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(1, 6)</td></tr>
<tr class="separator:ga0f8aefca2c1a1d922ca9ecac68caa584"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac8f5bddb889a3da7918ae32ca6c5cc97"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac8f5bddb889a3da7918ae32ca6c5cc97">P17</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(1, 7)</td></tr>
<tr class="separator:gac8f5bddb889a3da7918ae32ca6c5cc97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga33f788605a598e63ac41746fa80a2748"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga33f788605a598e63ac41746fa80a2748">P20</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(2, 0)</td></tr>
<tr class="separator:ga33f788605a598e63ac41746fa80a2748"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga570de0df41df22c97e76c020be10ebe5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga570de0df41df22c97e76c020be10ebe5">P21</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(2, 1)</td></tr>
<tr class="separator:ga570de0df41df22c97e76c020be10ebe5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaad2e9e6463865ce4ee5c0fdb487ae564"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaad2e9e6463865ce4ee5c0fdb487ae564">P22</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(2, 2)</td></tr>
<tr class="separator:gaad2e9e6463865ce4ee5c0fdb487ae564"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6e36f7e25d4f6b570b06cb42fec12fe0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6e36f7e25d4f6b570b06cb42fec12fe0">P23</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(2, 3)</td></tr>
<tr class="separator:ga6e36f7e25d4f6b570b06cb42fec12fe0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga70720c88605306d69ec70f7d61a02a7d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga70720c88605306d69ec70f7d61a02a7d">P24</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(2, 4)</td></tr>
<tr class="separator:ga70720c88605306d69ec70f7d61a02a7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaedd756174bb43beab90d52b7f8ababe1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaedd756174bb43beab90d52b7f8ababe1">P25</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(2, 5)</td></tr>
<tr class="separator:gaedd756174bb43beab90d52b7f8ababe1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5c3c87404b4b209d252cb7bb4b58f877"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5c3c87404b4b209d252cb7bb4b58f877">P26</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(2, 6)</td></tr>
<tr class="separator:ga5c3c87404b4b209d252cb7bb4b58f877"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa4640d5e80f253acaf0ac9d904dd31ff"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa4640d5e80f253acaf0ac9d904dd31ff">P27</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(2, 7)</td></tr>
<tr class="separator:gaa4640d5e80f253acaf0ac9d904dd31ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5f7968be31f2e9f4571b092c4dfcb28c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5f7968be31f2e9f4571b092c4dfcb28c">P30</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(3, 0)</td></tr>
<tr class="separator:ga5f7968be31f2e9f4571b092c4dfcb28c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa746ded9c9e8c92375ae540ed67126b5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa746ded9c9e8c92375ae540ed67126b5">P31</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(3, 1)</td></tr>
<tr class="separator:gaa746ded9c9e8c92375ae540ed67126b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8ae5e079e0dffa935e988d0658ac4a0a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8ae5e079e0dffa935e988d0658ac4a0a">P32</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(3, 2)</td></tr>
<tr class="separator:ga8ae5e079e0dffa935e988d0658ac4a0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9c60e5bf01694cf39fc125fda883f8e6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9c60e5bf01694cf39fc125fda883f8e6">P33</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(3, 3)</td></tr>
<tr class="separator:ga9c60e5bf01694cf39fc125fda883f8e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga53363ced95468be345f9859354e300d1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga53363ced95468be345f9859354e300d1">P34</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(3, 4)</td></tr>
<tr class="separator:ga53363ced95468be345f9859354e300d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabf8f8b5ee3e318ca6ec685c3acec99de"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabf8f8b5ee3e318ca6ec685c3acec99de">P35</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(3, 5)</td></tr>
<tr class="separator:gabf8f8b5ee3e318ca6ec685c3acec99de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9301c62dc91595cc7a617ff4c7356a8a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9301c62dc91595cc7a617ff4c7356a8a">P36</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(3, 6)</td></tr>
<tr class="separator:ga9301c62dc91595cc7a617ff4c7356a8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga869ef003b6d1c1b93c6064a892ddcd95"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga869ef003b6d1c1b93c6064a892ddcd95">P37</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(3, 7)</td></tr>
<tr class="separator:ga869ef003b6d1c1b93c6064a892ddcd95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad65ae61a66e6090cadbe8ee6801fbbb2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad65ae61a66e6090cadbe8ee6801fbbb2">P40</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(4, 0)</td></tr>
<tr class="separator:gad65ae61a66e6090cadbe8ee6801fbbb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab22c0d36425be910f6610828be770063"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab22c0d36425be910f6610828be770063">P41</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(4, 1)</td></tr>
<tr class="separator:gab22c0d36425be910f6610828be770063"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1aa4502db63f8e6717664096c0ad12f6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1aa4502db63f8e6717664096c0ad12f6">P42</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(4, 2)</td></tr>
<tr class="separator:ga1aa4502db63f8e6717664096c0ad12f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4effcf14ea12d436b400c55b908eafa9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4effcf14ea12d436b400c55b908eafa9">P43</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(4, 3)</td></tr>
<tr class="separator:ga4effcf14ea12d436b400c55b908eafa9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga932e1ed8c4f6bebcc34b8fe36203a421"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga932e1ed8c4f6bebcc34b8fe36203a421">P44</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(4, 4)</td></tr>
<tr class="separator:ga932e1ed8c4f6bebcc34b8fe36203a421"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8213b3a6369016c0e919dcab7db62d0b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8213b3a6369016c0e919dcab7db62d0b">P45</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(4, 5)</td></tr>
<tr class="separator:ga8213b3a6369016c0e919dcab7db62d0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafbd99d8dbf974a7059d38b14c455b1fb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafbd99d8dbf974a7059d38b14c455b1fb">P46</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(4, 6)</td></tr>
<tr class="separator:gafbd99d8dbf974a7059d38b14c455b1fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4bd7d622b36418d495c129217da7ae31"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4bd7d622b36418d495c129217da7ae31">P47</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(4, 7)</td></tr>
<tr class="separator:ga4bd7d622b36418d495c129217da7ae31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga432eafebc21de1b8054056020a41002d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga432eafebc21de1b8054056020a41002d">P50</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(5, 0)</td></tr>
<tr class="separator:ga432eafebc21de1b8054056020a41002d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9de9a073aaf2a7a4259db5a67eee6cd4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9de9a073aaf2a7a4259db5a67eee6cd4">P51</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(5, 1)</td></tr>
<tr class="separator:ga9de9a073aaf2a7a4259db5a67eee6cd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa700759b6415a2531bd59d2abcfa1613"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa700759b6415a2531bd59d2abcfa1613">P52</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(5, 2)</td></tr>
<tr class="separator:gaa700759b6415a2531bd59d2abcfa1613"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga325c0607d1c2a7b337569478c130f41c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga325c0607d1c2a7b337569478c130f41c">P53</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(5, 3)</td></tr>
<tr class="separator:ga325c0607d1c2a7b337569478c130f41c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga81622f9cc35ed4397b2d4714d88ae083"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga81622f9cc35ed4397b2d4714d88ae083">P54</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(5, 4)</td></tr>
<tr class="separator:ga81622f9cc35ed4397b2d4714d88ae083"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafa075de507ed2e6f80ca238cba2b509f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafa075de507ed2e6f80ca238cba2b509f">P55</a>&#160;&#160;&#160;<a class="el" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">GPIO_PIN_ADDR</a>(5, 5)</td></tr>
<tr class="separator:gafa075de507ed2e6f80ca238cba2b509f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga23fa7d30838af4e7a8de44bb35be6dd3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga23fa7d30838af4e7a8de44bb35be6dd3">GPIO_CLR_INT_FLAG</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;ISRC = u32PinMask)</td></tr>
<tr class="memdesc:ga23fa7d30838af4e7a8de44bb35be6dd3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear GPIO Pin Interrupt Flag.  <a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga23fa7d30838af4e7a8de44bb35be6dd3">More...</a><br /></td></tr>
<tr class="separator:ga23fa7d30838af4e7a8de44bb35be6dd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7256010ba4e37ff39116f81362380320"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7256010ba4e37ff39116f81362380320">GPIO_DISABLE_DEBOUNCE</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;DBEN &amp;= ~u32PinMask)</td></tr>
<tr class="memdesc:ga7256010ba4e37ff39116f81362380320"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable Pin De-bounce Function.  <a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7256010ba4e37ff39116f81362380320">More...</a><br /></td></tr>
<tr class="separator:ga7256010ba4e37ff39116f81362380320"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa54243397fb256e334b539f88b909368"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa54243397fb256e334b539f88b909368">GPIO_ENABLE_DEBOUNCE</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;DBEN |= u32PinMask)</td></tr>
<tr class="memdesc:gaa54243397fb256e334b539f88b909368"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable Pin De-bounce Function.  <a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa54243397fb256e334b539f88b909368">More...</a><br /></td></tr>
<tr class="separator:gaa54243397fb256e334b539f88b909368"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0c55a617441ab37ad3cfcc48b76750c7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0c55a617441ab37ad3cfcc48b76750c7">GPIO_DISABLE_DIGITAL_PATH</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;OFFD |= (u32PinMask &lt;&lt; 16))</td></tr>
<tr class="memdesc:ga0c55a617441ab37ad3cfcc48b76750c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable I/O Digital Input Path.  <a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0c55a617441ab37ad3cfcc48b76750c7">More...</a><br /></td></tr>
<tr class="separator:ga0c55a617441ab37ad3cfcc48b76750c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6646dfe12cd282e794d9014ae2e4e288"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6646dfe12cd282e794d9014ae2e4e288">GPIO_ENABLE_DIGITAL_PATH</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;OFFD &amp;= ~(u32PinMask &lt;&lt; 16))</td></tr>
<tr class="memdesc:ga6646dfe12cd282e794d9014ae2e4e288"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable I/O Digital Input Path.  <a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6646dfe12cd282e794d9014ae2e4e288">More...</a><br /></td></tr>
<tr class="separator:ga6646dfe12cd282e794d9014ae2e4e288"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8669eac8b3df39a965716a1f5cf6484b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8669eac8b3df39a965716a1f5cf6484b">GPIO_DISABLE_DOUT_MASK</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;DMASK |= u32PinMask)</td></tr>
<tr class="memdesc:ga8669eac8b3df39a965716a1f5cf6484b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable I/O DOUT mask.  <a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8669eac8b3df39a965716a1f5cf6484b">More...</a><br /></td></tr>
<tr class="separator:ga8669eac8b3df39a965716a1f5cf6484b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga55907a319de4957e7f795d0acb32b7fc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55907a319de4957e7f795d0acb32b7fc">GPIO_ENABLE_DOUT_MASK</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;DMASK &amp;= ~u32PinMask)</td></tr>
<tr class="memdesc:ga55907a319de4957e7f795d0acb32b7fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable I/O DOUT mask.  <a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55907a319de4957e7f795d0acb32b7fc">More...</a><br /></td></tr>
<tr class="separator:ga55907a319de4957e7f795d0acb32b7fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga109372c88c155995a0f917b75d33e6d3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga109372c88c155995a0f917b75d33e6d3">GPIO_GET_INT_FLAG</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;ISRC &amp; u32PinMask)</td></tr>
<tr class="memdesc:ga109372c88c155995a0f917b75d33e6d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get GPIO Pin Interrupt Flag.  <a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga109372c88c155995a0f917b75d33e6d3">More...</a><br /></td></tr>
<tr class="separator:ga109372c88c155995a0f917b75d33e6d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad7651a6a2609788b70d1e0e4d77174ca"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7651a6a2609788b70d1e0e4d77174ca">GPIO_SET_DEBOUNCE_TIME</a>(clksrc,  clksel)&#160;&#160;&#160;(<a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1037b18e2d226fe7d327d4a6f17a21c1">GPIO</a>-&gt;DBNCECON = (<a class="el" href="../../de/d94/_mini51_series_8h.html#aa90e35467a4b67ffb16ea724a581cb15">GPIO_DBNCECON_ICLK_ON_Msk</a> | clksrc | clksel))</td></tr>
<tr class="memdesc:gad7651a6a2609788b70d1e0e4d77174ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set De-bounce Sampling Cycle Time.  <a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7651a6a2609788b70d1e0e4d77174ca">More...</a><br /></td></tr>
<tr class="separator:gad7651a6a2609788b70d1e0e4d77174ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga999217028415ac36f6ce605533c85cad"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga999217028415ac36f6ce605533c85cad">GPIO_GET_IN_DATA</a>(gpio)&#160;&#160;&#160;((gpio)-&gt;PIN)</td></tr>
<tr class="memdesc:ga999217028415ac36f6ce605533c85cad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get GPIO Port IN Data.  <a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga999217028415ac36f6ce605533c85cad">More...</a><br /></td></tr>
<tr class="separator:ga999217028415ac36f6ce605533c85cad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac8b85595010fccb2e8be1624f409d89c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac8b85595010fccb2e8be1624f409d89c">GPIO_SET_OUT_DATA</a>(gpio,  data)&#160;&#160;&#160;((gpio)-&gt;DOUT = (data))</td></tr>
<tr class="memdesc:gac8b85595010fccb2e8be1624f409d89c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set GPIO Port OUT Data.  <a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac8b85595010fccb2e8be1624f409d89c">More...</a><br /></td></tr>
<tr class="separator:gac8b85595010fccb2e8be1624f409d89c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga21894d4e8915c4972879d998965e3f35"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21894d4e8915c4972879d998965e3f35">GPIO_TOGGLE</a>(u32Pin)&#160;&#160;&#160;((u32Pin) ^= 1)</td></tr>
<tr class="memdesc:ga21894d4e8915c4972879d998965e3f35"><td class="mdescLeft">&#160;</td><td class="mdescRight">Toggle Specified GPIO pin.  <a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21894d4e8915c4972879d998965e3f35">More...</a><br /></td></tr>
<tr class="separator:ga21894d4e8915c4972879d998965e3f35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga851e08641f159b726e3d2fa7e4b526d1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga851e08641f159b726e3d2fa7e4b526d1">GPIO_EnableEINT0</a>&#160;&#160;&#160;<a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">GPIO_EnableInt</a></td></tr>
<tr class="memdesc:ga851e08641f159b726e3d2fa7e4b526d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable External GPIO interrupt 0.  <a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga851e08641f159b726e3d2fa7e4b526d1">More...</a><br /></td></tr>
<tr class="separator:ga851e08641f159b726e3d2fa7e4b526d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa08979f1765ac4fb8d9645195908c7b1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa08979f1765ac4fb8d9645195908c7b1">GPIO_DisableEINT0</a>&#160;&#160;&#160;<a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">GPIO_DisableInt</a></td></tr>
<tr class="memdesc:gaa08979f1765ac4fb8d9645195908c7b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable External GPIO interrupt 0.  <a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa08979f1765ac4fb8d9645195908c7b1">More...</a><br /></td></tr>
<tr class="separator:gaa08979f1765ac4fb8d9645195908c7b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2ae3cf2bb3e70c18761f85c0fa5b4ce7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2ae3cf2bb3e70c18761f85c0fa5b4ce7">GPIO_EnableEINT1</a>&#160;&#160;&#160;<a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">GPIO_EnableInt</a></td></tr>
<tr class="memdesc:ga2ae3cf2bb3e70c18761f85c0fa5b4ce7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable External GPIO interrupt 1.  <a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2ae3cf2bb3e70c18761f85c0fa5b4ce7">More...</a><br /></td></tr>
<tr class="separator:ga2ae3cf2bb3e70c18761f85c0fa5b4ce7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga77faa5872ca2babb523c15d199e1e484"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga77faa5872ca2babb523c15d199e1e484">GPIO_DisableEINT1</a>&#160;&#160;&#160;<a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">GPIO_DisableInt</a></td></tr>
<tr class="memdesc:ga77faa5872ca2babb523c15d199e1e484"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable External GPIO interrupt 1.  <a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga77faa5872ca2babb523c15d199e1e484">More...</a><br /></td></tr>
<tr class="separator:ga77faa5872ca2babb523c15d199e1e484"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaa2d25bd7fd805f81e465e5f2f0f43123"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa2d25bd7fd805f81e465e5f2f0f43123">GPIO_SetMode</a> (<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *gpio, uint32_t u32PinMask, uint32_t u32Mode)</td></tr>
<tr class="memdesc:gaa2d25bd7fd805f81e465e5f2f0f43123"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set GPIO operation mode.  <a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa2d25bd7fd805f81e465e5f2f0f43123">More...</a><br /></td></tr>
<tr class="separator:gaa2d25bd7fd805f81e465e5f2f0f43123"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaec751ab5c00bcad980d782816df53cbd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">GPIO_EnableInt</a> (<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *gpio, uint32_t u32Pin, uint32_t u32IntAttribs)</td></tr>
<tr class="memdesc:gaec751ab5c00bcad980d782816df53cbd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable GPIO interrupt.  <a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">More...</a><br /></td></tr>
<tr class="separator:gaec751ab5c00bcad980d782816df53cbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga675532237c47dd6f69f325e27fd2e7e0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">GPIO_DisableInt</a> (<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *gpio, uint32_t u32Pin)</td></tr>
<tr class="memdesc:ga675532237c47dd6f69f325e27fd2e7e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable GPIO interrupt.  <a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">More...</a><br /></td></tr>
<tr class="separator:ga675532237c47dd6f69f325e27fd2e7e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Mini51 series GPIO driver header file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>9 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/10/06 10:44a </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../d6/d7c/gpio_8h_source.html">gpio.h</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:39 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
